OGRE: Ogre::HlmsBaseProp Struct Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Static Public Attributes | List of all members
Ogre::HlmsBaseProp Struct Reference
Core » Resources

These are "default" or "Base" properties common to many implementations and thus defined here. More...

`#include <OgreHlms.h>`

## Static Public Attributes
static const IdString | AlphaBlend
static const IdString | AlphaTest
static const IdString | AlphaTestShadowCasterOnly
static const IdString | BakeLightingOnly
static const IdString | BonesPerVertex
static const IdString | Colour
static const IdString | DecalsDiffuse
static const IdString | DecalsEmissive
static const IdString | DecalsNormals
static const IdString | DisableStage
static const IdString | DualParaboloidMapping
static const IdString | EnableDecals
static const IdString | EnableVpls
static const IdString | FastShaderBuildHack
static const IdString | FineLightMask
static const IdString | Forward3D
static const IdString | Forward3DNumSlices
static const IdString | ForwardClustered
static const IdString | ForwardPlus
static const IdString | ForwardPlusCoversEntireTarget
static const IdString | ForwardPlusDebug
static const IdString | ForwardPlusFadeAttenRange
static const IdString | ForwardPlusFineLightMask
static const IdString | ForwardPlusFlipY
static const IdString | FwdClusteredLightsPerCell
static const IdString | FwdClusteredWidth
static const IdString | FwdClusteredWidthxHeight
static const IdString | FwdPlusCubemapSlotOffset
static const IdString | FwdPlusDecalsSlotOffset
static const IdString | GenNormalsGBuf
static const IdString | GL3Plus
static const IdString | GlAmdTrinaryMinMax
static const IdString | GLES
static const IdString | GlobalClipPlanes
static const IdString | Glsl
static const IdString | Glsles
static const IdString | GLVersion
static const IdString | HighQuality
static const IdString | Hlsl
static const IdString | IdentityViewProj
static const IdString | IdentityViewProjDynamic
| When this is set, the value of IdentityViewProj is meaningless. More...
static const IdString | IdentityWorld
static const IdString | InstancedStereo
static const IdString | iOS
static const IdString | LightsAreaApprox
static const IdString | LightsAreaLtc
static const IdString | LightsAreaTexColour
static const IdString | LightsAreaTexMask
static const IdString | LightsAttenuation
static const IdString | LightsDirectional
static const IdString | LightsDirNonCaster
static const IdString | LightsPoint
static const IdString | LightsSpot
static const IdString | LightsSpotParams
static const IdString | macOS
static const IdString | Metal
static const IdString | NoReverseDepth
static const IdString | Normal
static const IdString | NumShadowMapLights
static const IdString | NumShadowMapTextures
static const IdString | Pose
static const IdString | PoseHalfPrecision
static const IdString | PoseNormals
static const IdString | PrePass
static const IdString | PsoClipDistances
static const IdString | PssmBlend
static const IdString | PssmFade
static const IdString | PssmSplits
static const IdString | QTangent
static const IdString | RenderDepthOnly
static const IdString | ScreenPosInt
static const IdString | ScreenPosUv
static const IdString | ScreenSpaceRefractions
static const IdString | ShadowCaster
static const IdString | ShadowCasterDirectional
static const IdString | ShadowCasterPoint
static const IdString | ShadowUsesDepthTexture
static const IdString | Skeleton
static const IdString | SsRefractionsAvailable
static const IdString | StaticBranchLights
static const IdString | Syntax
static const IdString | Tangent
static const IdString | TexGather
static const IdString | UsePrePass
static const IdString | UsePrePassMsaa
static const IdString | UseSsr
static const IdString | UseUvBaking
static const IdString | UvBaking
static const IdString | UvCount
static const IdString | UvCount0
static const IdString | UvCount1
static const IdString | UvCount2
static const IdString | UvCount3
static const IdString | UvCount4
static const IdString | UvCount5
static const IdString | UvCount6
static const IdString | UvCount7
static const IdString * | UvCountPtrs [8]
static const IdString | VertexId
static const IdString | VPos

## Detailed Description

These are "default" or "Base" properties common to many implementations and thus defined here.

Most of them start with the suffix hlms_

## Member Data Documentation

## ◆ AlphaBlend

const IdString Ogre::HlmsBaseProp::AlphaBlend
| static

## ◆ AlphaTest

const IdString Ogre::HlmsBaseProp::AlphaTest
| static

## ◆ AlphaTestShadowCasterOnly

const IdString Ogre::HlmsBaseProp::AlphaTestShadowCasterOnly
| static

## ◆ BakeLightingOnly

const IdString Ogre::HlmsBaseProp::BakeLightingOnly
| static

## ◆ BonesPerVertex

const IdString Ogre::HlmsBaseProp::BonesPerVertex
| static

## ◆ Colour

const IdString Ogre::HlmsBaseProp::Colour
| static

## ◆ DecalsDiffuse

const IdString Ogre::HlmsBaseProp::DecalsDiffuse
| static

## ◆ DecalsEmissive

const IdString Ogre::HlmsBaseProp::DecalsEmissive
| static

## ◆ DecalsNormals

const IdString Ogre::HlmsBaseProp::DecalsNormals
| static

## ◆ DisableStage

const IdString Ogre::HlmsBaseProp::DisableStage
| static

## ◆ DualParaboloidMapping

const IdString Ogre::HlmsBaseProp::DualParaboloidMapping
| static

## ◆ EnableDecals

const IdString Ogre::HlmsBaseProp::EnableDecals
| static

## ◆ EnableVpls

const IdString Ogre::HlmsBaseProp::EnableVpls
| static

## ◆ FastShaderBuildHack

const IdString Ogre::HlmsBaseProp::FastShaderBuildHack
| static

## ◆ FineLightMask

const IdString Ogre::HlmsBaseProp::FineLightMask
| static

## ◆ Forward3D

const IdString Ogre::HlmsBaseProp::Forward3D
| static

## ◆ Forward3DNumSlices

const IdString Ogre::HlmsBaseProp::Forward3DNumSlices
| static

## ◆ ForwardClustered

const IdString Ogre::HlmsBaseProp::ForwardClustered
| static

## ◆ ForwardPlus

const IdString Ogre::HlmsBaseProp::ForwardPlus
| static

## ◆ ForwardPlusCoversEntireTarget

const IdString Ogre::HlmsBaseProp::ForwardPlusCoversEntireTarget
| static

## ◆ ForwardPlusDebug

const IdString Ogre::HlmsBaseProp::ForwardPlusDebug
| static

## ◆ ForwardPlusFadeAttenRange

const IdString Ogre::HlmsBaseProp::ForwardPlusFadeAttenRange
| static

## ◆ ForwardPlusFineLightMask

const IdString Ogre::HlmsBaseProp::ForwardPlusFineLightMask
| static

## ◆ ForwardPlusFlipY

const IdString Ogre::HlmsBaseProp::ForwardPlusFlipY
| static

## ◆ FwdClusteredLightsPerCell

const IdString Ogre::HlmsBaseProp::FwdClusteredLightsPerCell
| static

## ◆ FwdClusteredWidth

const IdString Ogre::HlmsBaseProp::FwdClusteredWidth
| static

## ◆ FwdClusteredWidthxHeight

const IdString Ogre::HlmsBaseProp::FwdClusteredWidthxHeight
| static

## ◆ FwdPlusCubemapSlotOffset

const IdString Ogre::HlmsBaseProp::FwdPlusCubemapSlotOffset
| static

## ◆ FwdPlusDecalsSlotOffset

const IdString Ogre::HlmsBaseProp::FwdPlusDecalsSlotOffset
| static

## ◆ GenNormalsGBuf

const IdString Ogre::HlmsBaseProp::GenNormalsGBuf
| static

## ◆ GL3Plus

const IdString Ogre::HlmsBaseProp::GL3Plus
| static

## ◆ GlAmdTrinaryMinMax

const IdString Ogre::HlmsBaseProp::GlAmdTrinaryMinMax
| static

## ◆ GLES

const IdString Ogre::HlmsBaseProp::GLES
| static

## ◆ GlobalClipPlanes

const IdString Ogre::HlmsBaseProp::GlobalClipPlanes
| static

## ◆ Glsl

const IdString Ogre::HlmsBaseProp::Glsl
| static

## ◆ Glsles

const IdString Ogre::HlmsBaseProp::Glsles
| static

## ◆ GLVersion

const IdString Ogre::HlmsBaseProp::GLVersion
| static

## ◆ HighQuality

const IdString Ogre::HlmsBaseProp::HighQuality
| static

## ◆ Hlsl

const IdString Ogre::HlmsBaseProp::Hlsl
| static

## ◆ IdentityViewProj

const IdString Ogre::HlmsBaseProp::IdentityViewProj
| static

## ◆ IdentityViewProjDynamic

const IdString Ogre::HlmsBaseProp::IdentityViewProjDynamic
| static

When this is set, the value of IdentityViewProj is meaningless.

## ◆ IdentityWorld

const IdString Ogre::HlmsBaseProp::IdentityWorld
| static

## ◆ InstancedStereo

const IdString Ogre::HlmsBaseProp::InstancedStereo
| static

## ◆ iOS

const IdString Ogre::HlmsBaseProp::iOS
| static

## ◆ LightsAreaApprox

const IdString Ogre::HlmsBaseProp::LightsAreaApprox
| static

## ◆ LightsAreaLtc

const IdString Ogre::HlmsBaseProp::LightsAreaLtc
| static

## ◆ LightsAreaTexColour

const IdString Ogre::HlmsBaseProp::LightsAreaTexColour
| static

## ◆ LightsAreaTexMask

const IdString Ogre::HlmsBaseProp::LightsAreaTexMask
| static

## ◆ LightsAttenuation

const IdString Ogre::HlmsBaseProp::LightsAttenuation
| static

## ◆ LightsDirectional

const IdString Ogre::HlmsBaseProp::LightsDirectional
| static

## ◆ LightsDirNonCaster

const IdString Ogre::HlmsBaseProp::LightsDirNonCaster
| static

## ◆ LightsPoint

const IdString Ogre::HlmsBaseProp::LightsPoint
| static

## ◆ LightsSpot

const IdString Ogre::HlmsBaseProp::LightsSpot
| static

## ◆ LightsSpotParams

const IdString Ogre::HlmsBaseProp::LightsSpotParams
| static

## ◆ macOS

const IdString Ogre::HlmsBaseProp::macOS
| static

## ◆ Metal

const IdString Ogre::HlmsBaseProp::Metal
| static

## ◆ NoReverseDepth

const IdString Ogre::HlmsBaseProp::NoReverseDepth
| static

## ◆ Normal

const IdString Ogre::HlmsBaseProp::Normal
| static

## ◆ NumShadowMapLights

const IdString Ogre::HlmsBaseProp::NumShadowMapLights
| static

## ◆ NumShadowMapTextures

const IdString Ogre::HlmsBaseProp::NumShadowMapTextures
| static

## ◆ Pose

const IdString Ogre::HlmsBaseProp::Pose
| static

## ◆ PoseHalfPrecision

const IdString Ogre::HlmsBaseProp::PoseHalfPrecision
| static

## ◆ PoseNormals

const IdString Ogre::HlmsBaseProp::PoseNormals
| static

## ◆ PrePass

const IdString Ogre::HlmsBaseProp::PrePass
| static

## ◆ PsoClipDistances

const IdString Ogre::HlmsBaseProp::PsoClipDistances
| static

## ◆ PssmBlend

const IdString Ogre::HlmsBaseProp::PssmBlend
| static

## ◆ PssmFade

const IdString Ogre::HlmsBaseProp::PssmFade
| static

## ◆ PssmSplits

const IdString Ogre::HlmsBaseProp::PssmSplits
| static

## ◆ QTangent

const IdString Ogre::HlmsBaseProp::QTangent
| static

## ◆ RenderDepthOnly

const IdString Ogre::HlmsBaseProp::RenderDepthOnly
| static

## ◆ ScreenPosInt

const IdString Ogre::HlmsBaseProp::ScreenPosInt
| static

## ◆ ScreenPosUv

const IdString Ogre::HlmsBaseProp::ScreenPosUv
| static

## ◆ ScreenSpaceRefractions

const IdString Ogre::HlmsBaseProp::ScreenSpaceRefractions
| static

## ◆ ShadowCaster

const IdString Ogre::HlmsBaseProp::ShadowCaster
| static

## ◆ ShadowCasterDirectional

const IdString Ogre::HlmsBaseProp::ShadowCasterDirectional
| static

## ◆ ShadowCasterPoint

const IdString Ogre::HlmsBaseProp::ShadowCasterPoint
| static

## ◆ ShadowUsesDepthTexture

const IdString Ogre::HlmsBaseProp::ShadowUsesDepthTexture
| static

## ◆ Skeleton

const IdString Ogre::HlmsBaseProp::Skeleton
| static

## ◆ SsRefractionsAvailable

const IdString Ogre::HlmsBaseProp::SsRefractionsAvailable
| static

## ◆ StaticBranchLights

const IdString Ogre::HlmsBaseProp::StaticBranchLights
| static

## ◆ Syntax

const IdString Ogre::HlmsBaseProp::Syntax
| static

## ◆ Tangent

const IdString Ogre::HlmsBaseProp::Tangent
| static

## ◆ TexGather

const IdString Ogre::HlmsBaseProp::TexGather
| static

## ◆ UsePrePass

const IdString Ogre::HlmsBaseProp::UsePrePass
| static

## ◆ UsePrePassMsaa

const IdString Ogre::HlmsBaseProp::UsePrePassMsaa
| static

## ◆ UseSsr

const IdString Ogre::HlmsBaseProp::UseSsr
| static

## ◆ UseUvBaking

const IdString Ogre::HlmsBaseProp::UseUvBaking
| static

## ◆ UvBaking

const IdString Ogre::HlmsBaseProp::UvBaking
| static

## ◆ UvCount

const IdString Ogre::HlmsBaseProp::UvCount
| static

## ◆ UvCount0

const IdString Ogre::HlmsBaseProp::UvCount0
| static

## ◆ UvCount1

const IdString Ogre::HlmsBaseProp::UvCount1
| static

## ◆ UvCount2

const IdString Ogre::HlmsBaseProp::UvCount2
| static

## ◆ UvCount3

const IdString Ogre::HlmsBaseProp::UvCount3
| static

## ◆ UvCount4

const IdString Ogre::HlmsBaseProp::UvCount4
| static

## ◆ UvCount5

const IdString Ogre::HlmsBaseProp::UvCount5
| static

## ◆ UvCount6

const IdString Ogre::HlmsBaseProp::UvCount6
| static

## ◆ UvCount7

const IdString Ogre::HlmsBaseProp::UvCount7
| static

## ◆ UvCountPtrs

const IdString* Ogre::HlmsBaseProp::UvCountPtrs[8]
| static

## ◆ VertexId

const IdString Ogre::HlmsBaseProp::VertexId
| static

## ◆ VPos

const IdString Ogre::HlmsBaseProp::VPos
| static

The documentation for this struct was generated from the following file:

- OgreHlms.h